# -*- python -*-
# $RCSfile: edge_.py,v $
# $Revision: 1.8 $
# $Author: langer $
# $Date: 2005/05/13 18:44:03 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov.

# These Coord objects are created in C++ and passed out to Python,
# so Python has to be the owner.  This is similar to the way the
# edges are handled in element_.py, where there is also another
# example of a Coord wrapper.
def _EdgePtr__position(self, locations):
    val = map(CoordPtr, self.position_(locations))
    for v in val:
        v.thisown = 1
    return val

EdgePtr.position = _EdgePtr__position

from oof2.SWIG.common.coord import CoordPtr
from oof2.SWIG.engine.elements import ElementPtr
from oof2.SWIG.engine.node import NodePtr
from oof2.SWIG.engine.mastercoord import MasterCoordPtr

